package de.humance.eco.profile.model;

import com.liferay.portal.kernel.bean.AutoEscape;
import com.liferay.portal.model.BaseModel;
import com.liferay.portal.model.CacheModel;
import com.liferay.portal.service.ServiceContext;

import com.liferay.portlet.expando.model.ExpandoBridge;

import java.io.Serializable;

/**
 * The base model interface for the QualificationTypeResource service. Represents a row in the &quot;Profile_QualificationTypeResource&quot; database table, with each column mapped to a property of this class.
 *
 * <p>
 * This interface and its corresponding implementation {@link de.humance.eco.profile.model.impl.QualificationTypeResourceModelImpl} exist only as a container for the default property accessors generated by ServiceBuilder. Helper methods and all application logic should be put in {@link de.humance.eco.profile.model.impl.QualificationTypeResourceImpl}.
 * </p>
 *
 * @author Humance
 * @see QualificationTypeResource
 * @see de.humance.eco.profile.model.impl.QualificationTypeResourceImpl
 * @see de.humance.eco.profile.model.impl.QualificationTypeResourceModelImpl
 * @generated
 */
public interface QualificationTypeResourceModel extends BaseModel<QualificationTypeResource> {
    /*
     * NOTE FOR DEVELOPERS:
     *
     * Never modify or reference this interface directly. All methods that expect a qualification type resource model instance should use the {@link QualificationTypeResource} interface instead.
     */

    /**
     * Returns the primary key of this qualification type resource.
     *
     * @return the primary key of this qualification type resource
     */
    public long getPrimaryKey();

    /**
     * Sets the primary key of this qualification type resource.
     *
     * @param primaryKey the primary key of this qualification type resource
     */
    public void setPrimaryKey(long primaryKey);

    /**
     * Returns the qualification type resource ID of this qualification type resource.
     *
     * @return the qualification type resource ID of this qualification type resource
     */
    public long getQualificationTypeResourceId();

    /**
     * Sets the qualification type resource ID of this qualification type resource.
     *
     * @param qualificationTypeResourceId the qualification type resource ID of this qualification type resource
     */
    public void setQualificationTypeResourceId(long qualificationTypeResourceId);

    /**
     * Returns the qualification type ID of this qualification type resource.
     *
     * @return the qualification type ID of this qualification type resource
     */
    public long getQualificationTypeId();

    /**
     * Sets the qualification type ID of this qualification type resource.
     *
     * @param qualificationTypeId the qualification type ID of this qualification type resource
     */
    public void setQualificationTypeId(long qualificationTypeId);

    /**
     * Returns the country of this qualification type resource.
     *
     * @return the country of this qualification type resource
     */
    @AutoEscape
    public String getCountry();

    /**
     * Sets the country of this qualification type resource.
     *
     * @param country the country of this qualification type resource
     */
    public void setCountry(String country);

    /**
     * Returns the language of this qualification type resource.
     *
     * @return the language of this qualification type resource
     */
    @AutoEscape
    public String getLanguage();

    /**
     * Sets the language of this qualification type resource.
     *
     * @param language the language of this qualification type resource
     */
    public void setLanguage(String language);

    /**
     * Returns the name of this qualification type resource.
     *
     * @return the name of this qualification type resource
     */
    @AutoEscape
    public String getName();

    /**
     * Sets the name of this qualification type resource.
     *
     * @param name the name of this qualification type resource
     */
    public void setName(String name);

    /**
     * Returns the description of this qualification type resource.
     *
     * @return the description of this qualification type resource
     */
    @AutoEscape
    public String getDescription();

    /**
     * Sets the description of this qualification type resource.
     *
     * @param description the description of this qualification type resource
     */
    public void setDescription(String description);

    /**
     * Returns the note of this qualification type resource.
     *
     * @return the note of this qualification type resource
     */
    @AutoEscape
    public String getNote();

    /**
     * Sets the note of this qualification type resource.
     *
     * @param note the note of this qualification type resource
     */
    public void setNote(String note);

    /**
     * Returns the icon ID of this qualification type resource.
     *
     * @return the icon ID of this qualification type resource
     */
    public long getIconId();

    /**
     * Sets the icon ID of this qualification type resource.
     *
     * @param iconId the icon ID of this qualification type resource
     */
    public void setIconId(long iconId);

    @Override
    public boolean isNew();

    @Override
    public void setNew(boolean n);

    @Override
    public boolean isCachedModel();

    @Override
    public void setCachedModel(boolean cachedModel);

    @Override
    public boolean isEscapedModel();

    @Override
    public Serializable getPrimaryKeyObj();

    @Override
    public void setPrimaryKeyObj(Serializable primaryKeyObj);

    @Override
    public ExpandoBridge getExpandoBridge();

    @Override
    public void setExpandoBridgeAttributes(BaseModel<?> baseModel);

    @Override
    public void setExpandoBridgeAttributes(ExpandoBridge expandoBridge);

    @Override
    public void setExpandoBridgeAttributes(ServiceContext serviceContext);

    @Override
    public Object clone();

    @Override
    public int compareTo(QualificationTypeResource qualificationTypeResource);

    @Override
    public int hashCode();

    @Override
    public CacheModel<QualificationTypeResource> toCacheModel();

    @Override
    public QualificationTypeResource toEscapedModel();

    @Override
    public QualificationTypeResource toUnescapedModel();

    @Override
    public String toString();

    @Override
    public String toXmlString();
}
